## ros-jazzy-controller-manager 4.11.0

=== debian/changelog ===
ros-jazzy-controller-manager (4.11.0-1bookworm) bookworm; urgency=high

  * Add find_package for ament_cmake_gen_version_h (#1534 <https://github.com/ros-controls/ros2_control/issues/1534>)
  * Contributors: Christoph Fröhlich

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 May 2024 23:00:00 -0000

ros-jazzy-controller-manager (4.10.0-1bookworm) bookworm; urgency=high

  * allow extra spawner arguments to not declare every argument in launch utils (#1505 <https://github.com/ros-controls/ros2_control/issues/1505>)
  * Working async controllers and components [not synchronized] (#1041 <https://github.com/ros-controls/ros2_control/issues/1041>)
  * Add fallback controllers list to the ControllerInfo (#1503 <https://github.com/ros-controls/ros2_control/issues/1503>)
  * Add a functionality to look for the controller type in the params file when not parsed (#1502 <https://github.com/ros-controls/ros2_control/issues/1502>)
  * Add controller exception handling in controller manager (#1507 <https://github.com/ros-controls/ros2_control/issues/1507>)
  * Contributors: Márk Szitanics, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 May 2024 23:00:00 -0000

ros-jazzy-controller-manager (4.9.0-1bookworm) bookworm; urgency=high

  * Deactivate the controllers when they return error similar to hardware (#1499 <https://github.com/ros-controls/ros2_control/issues/1499>)
  * Component parser: Get mimic information from URDF (#1256 <https://github.com/ros-controls/ros2_control/issues/1256>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 23:00:00 -0000

ros-jazzy-controller-manager (4.8.0-1bookworm) bookworm; urgency=high

  * generate version.h file per package using the ament_generate_version_header  (#1449 <https://github.com/ros-controls/ros2_control/issues/1449>)
  * Use ament_cmake generated rclcpp version header (#1448 <https://github.com/ros-controls/ros2_control/issues/1448>)
  * Replace random_shuffle with shuffle. (#1446 <https://github.com/ros-controls/ros2_control/issues/1446>)
  * Contributors: Chris Lalancette, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 27 Mar 2024 00:00:00 -0000

ros-jazzy-controller-manager (4.7.0-1bookworm) bookworm; urgency=high

  * add missing compiler definitions of RCLCPP_VERSION_MAJOR (#1440 <https://github.com/ros-controls/ros2_control/issues/1440>)
  * Codeformat from new pre-commit config (#1433 <https://github.com/ros-controls/ros2_control/issues/1433>)
  * add conditioning to get_parameter_value method import (#1428 <https://github.com/ros-controls/ros2_control/issues/1428>)
  * Change the controller sorting with an approach similar to directed acyclic graphs (#1384 <https://github.com/ros-controls/ros2_control/issues/1384>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 22 Mar 2024 00:00:00 -0000

ros-jazzy-controller-manager (4.6.0-1bookworm) bookworm; urgency=high

  * Add -Werror=missing-braces to compile options (#1423 <https://github.com/ros-controls/ros2_control/issues/1423>)
  * added conditioning to have rolling tags compilable in older versions (#1422 <https://github.com/ros-controls/ros2_control/issues/1422>)
  * [CM] Remove deprecated parameters for initial component states. (#1357 <https://github.com/ros-controls/ros2_control/issues/1357>)
  * [BREAKING CHANGE] Use robot_description topic instead of ~/robot_description and update docs regarding this (#1410 <https://github.com/ros-controls/ros2_control/issues/1410>)
  * [CI] Code coverage + pre-commit (#1413 <https://github.com/ros-controls/ros2_control/issues/1413>)
  * Fix multiple chainable controller activation bug (#1401 <https://github.com/ros-controls/ros2_control/issues/1401>)
  * Contributors: Christoph Fröhlich, Dr. Denis, Felix Exner (fexner), Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Mar 2024 00:00:00 -0000

ros-jazzy-controller-manager (4.5.0-1bookworm) bookworm; urgency=high

  * check for state of the controller node before cleanup (#1363 <https://github.com/ros-controls/ros2_control/issues/1363>)
  * [CM] Use explicit constants in controller tests. (#1356 <https://github.com/ros-controls/ros2_control/issues/1356>)
  * [CM] Optimized debug output about interfaces when switching controllers. (#1355 <https://github.com/ros-controls/ros2_control/issues/1355>)
  * A method to get node options to setup the controller node #api-breaking (#1169 <https://github.com/ros-controls/ros2_control/issues/1169>)
  * Contributors: Dr. Denis, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 12 Feb 2024 00:00:00 -0000

ros-jazzy-controller-manager (4.4.0-1bookworm) bookworm; urgency=high

  * Move test_components to own package (#1325 <https://github.com/ros-controls/ros2_control/issues/1325>)
  * Fix controller parameter loading issue in different cases (#1293 <https://github.com/ros-controls/ros2_control/issues/1293>)
  * Contributors: Christoph Fröhlich, Sai Kishor Kothakota

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 31 Jan 2024 00:00:00 -0000

ros-jazzy-controller-manager (4.3.0-1bookworm) bookworm; urgency=high

  * [CM] Better readability and maintainability: rename variables, move code to more logical places 🔧 (#1227 <https://github.com/ros-controls/ros2_control/issues/1227>)
  * Initialize the controller manager services after initializing resource manager (#1271 <https://github.com/ros-controls/ros2_control/issues/1271>)
  * Issue 695: Changing 'namespace_' variables to 'node_namespace' to make it more explicit (#1239 <https://github.com/ros-controls/ros2_control/issues/1239>)
  * Fix rqt controller manager crash on ros2_control restart (#1273 <https://github.com/ros-controls/ros2_control/issues/1273>)

