=== debian/control ===
Source: ros-jazzy-controller-manager
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-jazzy-ament-cmake, ros-jazzy-ament-cmake-gen-version-h, ros-jazzy-ament-cmake-gmock <!nocheck>, ros-jazzy-ament-cmake-python, ros-jazzy-ament-index-cpp, ros-jazzy-backward-ros, ros-jazzy-controller-interface, ros-jazzy-controller-manager-msgs, ros-jazzy-diagnostic-updater, ros-jazzy-hardware-interface, ros-jazzy-hardware-interface-testing <!nocheck>, ros-jazzy-launch, ros-jazzy-launch-ros, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rcpputils, ros-jazzy-realtime-tools, ros-jazzy-ros2-control-test-assets, ros-jazzy-ros2-control-test-assets <!nocheck>, ros-jazzy-ros2param, ros-jazzy-ros2run, ros-jazzy-std-msgs, ros-jazzy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-jazzy-controller-manager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-jazzy-ament-index-cpp, ros-jazzy-backward-ros, ros-jazzy-controller-interface, ros-jazzy-controller-manager-msgs, ros-jazzy-diagnostic-updater, ros-jazzy-hardware-interface, ros-jazzy-launch, ros-jazzy-launch-ros, ros-jazzy-pluginlib, ros-jazzy-rclcpp, ros-jazzy-rcpputils, ros-jazzy-realtime-tools, ros-jazzy-ros2-control-test-assets, ros-jazzy-ros2param, ros-jazzy-ros2run, ros-jazzy-std-msgs, ros-jazzy-ros-workspace
Description: Description of controller_manager
